From f69198a46197ed806a5dcb4e7f6210c604f4250d Mon Sep 17 00:00:00 2001
From: tpylak <tpylak>
Date: Fri, 25 Jun 2010 23:06:40 +0000
Subject: [PATCH] LMS-1546 HCS: api tests, add new project to CC

SVN: 16761
---
 integration-tests/test-screening.sh | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

diff --git a/integration-tests/test-screening.sh b/integration-tests/test-screening.sh
index 825571f18dc..2aa2c3423b3 100755
--- a/integration-tests/test-screening.sh
+++ b/integration-tests/test-screening.sh
@@ -105,7 +105,15 @@ function install_screening {
 }
 
 function test_screening_api {
-		. ./$API_HCS/run.sh admin password https://localhost:8443
+	cd $API_HCS
+	. ./run.sh admin password https://localhost:8443
+	if [ $? -ne 0 ]; then
+       report_error Running screening API has failed
+    else
+       echo [OK] Screening API runs without exceptions.
+	fi
+	# return to the original directory
+	cd ../../..
 }
 
 
@@ -134,5 +142,19 @@ function integration_tests_screening {
     exit_if_assertion_failed
 }
 
+# can be called after integration tests are done just to check the API results
+function quick_api_test {
+	startup_openbis_server $OPENBIS_SERVER_HCS
+	wait_for_server
+	switch_dss "on" datastore_server_screening
+
+	test_screening_api
+
+  
+	switch_dss "off" datastore_server_screening
+	shutdown_openbis_server $OPENBIS_SERVER_HCS
+	exit_if_assertion_failed
+}
+
 integration_tests_screening
-#test_screening_api
\ No newline at end of file
+
-- 
GitLab